aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorAlexandru Avadanii <Alexandru.Avadanii@enea.com>2019-01-13 18:49:07 +0100
committerAlexandru Avadanii <Alexandru.Avadanii@enea.com>2019-01-13 18:49:07 +0100
commit267bd35d4b7656a7eb0236fa04acbbaba76f5da3 (patch)
treee20d862c9ca19e6084833b494760c6ee87e635e3
parentfb1be0fa7097ae68eca9fe5aaa8820afa6bdd151 (diff)
[baremetal] Shutdown nodes from previous deploy
When noha scenarios are scheduled on the same CI POD currently running a previously deployed HA scenario, one baremetal node might remain unused (kvm03), connect to the new Salt master and interfere with the deployment. To prevent that, shutdown all baremetal nodes at the begining of the deployment. Change-Id: Ia9bad8b5d8348433cefac9aa76eca0de664f187d Signed-off-by: Alexandru Avadanii <Alexandru.Avadanii@enea.com>
-rw-r--r--mcp/scripts/lib.sh1
1 files changed, 1 insertions, 0 deletions
diff --git a/mcp/scripts/lib.sh b/mcp/scripts/lib.sh
index 947361e29..79767f0fa 100644
--- a/mcp/scripts/lib.sh
+++ b/mcp/scripts/lib.sh
@@ -47,6 +47,7 @@ function cleanup_uefi {
efibootmgr | grep -oP '(?<=Boot)[0-9]+(?=.*ubuntu)' | \
xargs -I{} efibootmgr --delete-bootnum --bootnum {}; \
rm -rf /boot/efi/*\"" || true
+ ${cmd_str} "sudo salt -C 'kvm* or cmp*' cmd.run 'shutdown now'" || true
}
function get_nova_compute_pillar_data {